MPT_SOFTRESETHANDLER(9)

NAME
mpt_SoftResetHandler - Issues a less expensive reset

SYNOPSIS

int mpt_SoftResetHandler(MPT_ADAPTER * ioc, int sleepFlag);

ARGUMENTS

ioc
    Pointer to MPT_ADAPTER structure

sleepFlag
    Indicates if sleep or schedule must be called.

DESCRIPTION

Returns 0 for SUCCESS or -1 if FAILED.

Message Unit Reset - instructs the IOC to reset the Reply Post and Free FIFO's. All the Message Frames on Reply Free FIFO are discarded. All posted buffers are freed, and event notification is turned off. IOC doesn't reply to any outstanding request. This will transfer IOC to READY state.

COPYRIGHT